apr-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 49053] Can't build apache 2.2.15 on Ubuntu Lucid (10.04)
Date Thu, 22 Jul 2010 02:50:58 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=49053

--- Comment #2 from Rainer Jung <rainer.jung@kippdata.de> 2010-07-21 22:50:55 EDT ---
There seems to be a bug in the buildconf.sh script contained in the
srclib/apr-util/xml/expat directory. It doesn't work well when run with libtool
2.

The original ASF source bundles have been prepared using libtool 1, so this
problem should not show up for them.

The sources you are trying to compile seem to have been prepared by either you
or your distribution provider using libtool 2.

You can 

- either retrieve the ASF sources for 2.2.15 from http://httpd.apache.org

- or you can install libtool 1 (not libtool 2), and run the buildconf.sh script
inside the srclib/apr-util/xml/expat directory before building

- or you can apply the following patch

http://people.apache.org/~rjung/patches/expat-libtool2.patch

  inside the srclib/apr-util directory if you need to use libtool 2.
  After applying the patch run buildconf.sh and then do the usual build.

Regards,

Rainer

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@apr.apache.org
For additional commands, e-mail: bugs-help@apr.apache.org


Mime
View raw message